Update Task Link

Updates the link type and/or lag of an existing link between this Task and another Task.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

taskIdstringRequiredformat: "uuid"
The unique identifier of the predecessor Task for this link
successorTaskIdstringRequiredformat: "uuid"
The unique identifier of the successor Task for this link

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Request

The new link type and lag for this link
linkTypestringOptional

The type of dependency between the two Tasks. Case-insensitive; stored and returned in camelCase.

Valid values: finishToStart, startToStart, finishToFinish, startToFinish.

lagintegerOptional-1000-1000

The number of days of lag (or lead, if negative) between the two Tasks.

Response

Success
errorobject or nullOptional
If the API call failed, this will contain information about the error that occurred.
successbooleanOptionalRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanOptionalRead-only
True if the API call failed.
statusCodeenumOptional
The HTTP code of the response.
dataobjectOptional
Returns the id of a specific ChangeSet